include ( ../settings.pro )

TEMPLATE = lib
CONFIG += plugin thread
TARGET = mythRecipe
target.path = $${PREFIX}/lib/mythtv/plugins
INSTALLS += target

MYTHTV = $${PREFIX}/share/mythtv

installfiles.path = $${MYTHTV}/.
# installfiles.files = theme/Recipe-settings.xml 
# installfiles.files += theme/Recipe-ui.xml

muifiles.path   = $${MYTHTV}/themes/default
muifiles.files  = theme/Recipe-ui.xml 
muifiles.files += theme/Recipe-0-ui.xml 
muifiles.files += theme/Recipe-new-01-ui.xml 
muifiles.files += theme/Recipe-new-02-ui.xml 
muifiles.files += theme/Recipe-1-ui.xml 
muifiles.files += theme/Recipe-view-ui.xml 
muifiles.files += theme/Recipe-scan-site-ui.xml 
muifiles.files += theme/Recipe-bf-ui.xml 

uifiles.path   = $${MYTHTV}
uifiles.files  = theme/Recipe-settings.xml 
uifiles.files += theme/RecipeScanSite.xml 
uifiles.files += theme/Recipemain-ui.xml 
muifiles.files += theme/Recipe-view-ui.xml 
# uifiles.files += theme/*.png

uipng.files  = theme/*.png
uipng.files += theme/*.jpg
uipng.files += theme/*.gif
uipng.path   = $${MYTHTV}/themes/default

sqlfiles.path = $${MYTHTV}/mythRecipe/sql
sqlfiles.files = ../sql/*

INSTALLS += uifiles installfiles uipng muifiles sqlfiles


# Input
HEADERS += Modulesettings.h 
HEADERS += ModuleWindow.h
HEADERS += ScanSiteWindow.h
HEADERS += recipe_filter.h
HEADERS += DisplayStatus.h
HEADERS += GetLynxFile.h
HEADERS += ParseML.h
HEADERS += ScanXML.h
HEADERS += menu.h
HEADERS += BrowseWindow.h
HEADERS += ViewRecipeWindow.h
HEADERS += RecipeDB.h

SOURCES += main.cpp 
SOURCES += Modulesettings.cpp 
SOURCES += ModuleWindow.cpp 
SOURCES += ScanSiteWindow.cpp 
SOURCES += recipe_filter.cpp 
SOURCES += DisplayStatus.cpp 
SOURCES += GetLynxFile.cpp 
SOURCES += ParseML.cpp 
SOURCES += ScanXML.cpp 
SOURCES += menu.cpp 
SOURCES += BrowseWindow.cpp 
SOURCES += ViewRecipeWindow.cpp 
SOURCES += RecipeDB.cpp 

