#ifndef DISPLAY_STATUS_H
#define DISPLAY_STATUS_H
#include <qwidget.h>
#include <qprogressbar.h>
#include <qlabel.h>

class DspyStatus : public QWidget {

    Q_OBJECT

    public:
        DspyStatus(QWidget *parent, char *name);
       ~DspyStatus();
       void setText(QString str) { if (text) text->setText(str);}
        void setProgress( int p ) { if (pb) pb->setProgress(p);}
	void Close() { delete pb; delete text; }
    private:
        QProgressBar *pb;
	QLabel       *text;
};


#endif
