#ifndef GETLYNXFILE_H
#define GETLYNXFILE_H
#include <qprocess.h>
#include <qdir.h>


class LynxFile : public QObject {

    Q_OBJECT

    public:
        LynxFile(QObject *parent=0, char *name=0)
		: QObject(parent, name) {}
	bool getUrlFile( QString url, QString filename, bool use_lynx=true);



    private slots:
        void readFromStdout();
        void lynx_process_done();

    private:
        QTextStream *lynx_output_stream;
        QProcess    *lynx_proc;
        QFile       *lynx_output_file;
};

#endif
