#ifndef PARSEML_H
#define PARSEML_H

#include <stdlib.h>
#include <iostream>
using namespace std;
#include <qdom.h>
#include <qdir.h> 

#include "menu.h"


class ParseML {
	
    public:
        ParseML();
        int ParseMLFile( QString filename, Menu &menu );
        
	
    private:
        int parseMenu(QDomNode node, Menu &menu);
        int parseRecipe(QDomNode node, Recipe &recipe);
        int parseHeadTitle(QDomNode node, QString &);
        int parseHead(QDomNode node, Header &head);
        int parseHeadCategory(QDomNode node, QStringList &cat);
        int parseDirections(QDomNode node, QStringList &steps);
        int parseIngItem(QDomNode node, IngItem &item);
        int parseAmount(QDomNode node, Amount &amt);
        int parseIngredients(QDomNode node, 
			     QValueList<Ingredient> &ingredients);
};
#endif
